gnutls_ext_register(3)

NAME
gnutls_ext_register - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_ext_register(int type, const char * name, gnutls_ext_parse_type_t parse_type, gnutls_ext_recv_func recv_func, gnutls_ext_send_func send_func);

ARGUMENTS

int type
    the 16-bit integer referring to the extension type

const char * name
    human printable name of the extension used for debugging

gnutls_ext_parse_type_t parse_type
    either GNUTLS_EXT_TLS or GNUTLS_EXT_APPLICATION.

gnutls_ext_recv_func recv_func
    a function to receive extension data

gnutls_ext_send_func send_func
    a function to send extension data

DESCRIPTION
This function is used to register a new TLS extension handler.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code.

SINCE
2.6.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.